package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.C49504Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class AdFeSettings {
    @c(LIZ = "legal_page")
    public String legalPage;
    @c(LIZ = "music_legal")
    public String musicLegal;
    @c(LIZ = "revenue_share")
    public RevenueShare revenueShare;

    static {
        Covode.recordClassIndex(82825);
    }

    public String getLegalPage() {
        String str = this.legalPage;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public String getMusicLegalPage() {
        String str = this.musicLegal;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public RevenueShare getRevenueShare() {
        RevenueShare revenueShare2 = this.revenueShare;
        if (revenueShare2 != null) {
            return revenueShare2;
        }
        throw new C49504Ek();
    }
}
